source:
  type: "postgre"
  connection_string: "postgresql+psycopg2://sa:Expertflow123@ef-postgresql.ef-external.svc:5432/qm_db"
  queries:
    review:
      database: "qm_db"
      collection_name: "public.review"
      filter: {}
      replication_key: "updated_at"
      transformation: "transform_review_data"
      num_batches: 50
      query_keys:
        - "compare_reviewer_gold"
        - "compare_teams_gold"
        - "review_volume_gold"
        - "team_agent_skill_gold"
    schedule:
      database: "qm_db"
      collection_name: "public.schedule"
      filter: {}
      replication_key: "updated_at"
      transformation: "transform_schedule_data"
      num_batches: 50
      query_keys:
    schedule_filter:
      database: "qm_db"
      collection_name: "public.schedule_filter"
      filter: {}
      replication_key: "updated_at"
      transformation: "transform_schedule_filter_data"
      num_batches: 50
      query_keys:

batch_size: 30000 # Adjust as needed

target:
  type: "mysql"
  db_url: "mysql+pymysql://monty:Expertflow#143@192.168.2.18:3306/hold_db"
  # db_url: "mssql+pyodbc://SA:Expertflow123@198.7.124.184:1433/qm_db?driver=ODBC+Driver+17+for+SQL+Server"
  enable_ssl: false  # Enable or disable SSL connections
  ssl_ca: "/transflux/certificates/mysql_certs/ca.pem"
  ssl_cert: "/transflux/certificates/mysql_certs/client-cert.pem"
  ssl_key: "/transflux/certificates/mysql_certs/client-key.pem"

configdb:
  type: "mysql"
  db_url: "mysql+pymysql://monty:Expertflow#143@192.168.2.18:3306/hold_db"
  # db_url: "mssql+pyodbc://SA:Expertflow123@198.7.124.184:1433/qm_db?driver=ODBC+Driver+17+for+SQL+Server"
  enable_ssl: false  # Enable or disable SSL connections
  ssl_ca: "/transflux/certificates/mysql_certs/ca.pem"
  ssl_cert: "/transflux/certificates/mysql_certs/client-cert.pem"
  ssl_key: "/transflux/certificates/mysql_certs/client-key.pem"

transformation:
schedule_interval: "*/5 * * * *"
